MacWrtParserInternal::WindowsInfo Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
MacWrtParserInternal::WindowsInfo Struct Reference

the windows structure More...

## Public Member Functions
| WindowsInfo ()
bool | isEmpty () const
| small function used to recognized empty header or footer More...

## Public Attributes
MWAWVec2i | m_startSel
MWAWVec2i | m_endSel
int | m_posTopY
std::vector< Information > | m_informations
std::vector< int > | m_firstParagLine
std::vector< int > | m_linesHeight
MWAWVec2i | m_pageNumber
MWAWVec2i | m_date
MWAWVec2i | m_time

## Friends
std::ostream & | operator<< (std::ostream &o, WindowsInfo const &w)

## Detailed Description

the windows structure

## Constructor & Destructor Documentation

MacWrtParserInternal::WindowsInfo::WindowsInfo | ( |  | ) |
| inline

## Member Function Documentation

bool MacWrtParserInternal::WindowsInfo::isEmpty | ( |  | ) | const
| inline

small function used to recognized empty header or footer

Referenced by MacWrtParser::createZones().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WindowsInfo const & | w
| ) |  |
| friend

## Member Data Documentation

MWAWVec2i MacWrtParserInternal::WindowsInfo::m_date

Referenced by isEmpty(), MacWrtParserInternal::operator<<(), MacWrtParser::readWindowsInfo(), and MacWrtParser::sendWindow().

MWAWVec2i MacWrtParserInternal::WindowsInfo::m_endSel

Referenced by MacWrtParserInternal::operator<<(), and MacWrtParser::readWindowsInfo().

std::vector<int> MacWrtParserInternal::WindowsInfo::m_firstParagLine

Referenced by MacWrtParser::readWindowsInfo(), and MacWrtParser::sendWindow().

std::vector<Information> MacWrtParserInternal::WindowsInfo::m_informations

Referenced by MacWrtParser::createZones(), MacWrtParser::createZonesV3(), isEmpty(), and MacWrtParser::sendWindow().

std::vector<int> MacWrtParserInternal::WindowsInfo::m_linesHeight

Referenced by MacWrtParser::sendWindow().

MWAWVec2i MacWrtParserInternal::WindowsInfo::m_pageNumber

Referenced by isEmpty(), MacWrtParserInternal::operator<<(), MacWrtParser::readWindowsInfo(), and MacWrtParser::sendWindow().

int MacWrtParserInternal::WindowsInfo::m_posTopY

Referenced by MacWrtParserInternal::operator<<(), and MacWrtParser::readWindowsInfo().

MWAWVec2i MacWrtParserInternal::WindowsInfo::m_startSel

Referenced by MacWrtParserInternal::operator<<(), and MacWrtParser::readWindowsInfo().

MWAWVec2i MacWrtParserInternal::WindowsInfo::m_time

Referenced by isEmpty(), MacWrtParserInternal::operator<<(), MacWrtParser::readWindowsInfo(), and MacWrtParser::sendWindow().

The documentation for this struct was generated from the following file:

- MacWrtParser.cxx